// $Id: PDFNavigationEvent.java 10479 2009-07-10 09:51:07Z chris $

package org.faceless.pdf2.viewer;

import org.faceless.pdf2.*;

/**
 * An event that occurs when the current position in the document changes.
 * Currently this is only raised when a page changes.
 */
public final class PDFNavigationEvent
{
    private final PDFPage page;
    private final PDFViewport viewport;

    PDFNavigationEvent(PDFViewport viewport, PDFPage page) {
        this.viewport = viewport;
        this.page = page;
    }

    /**
     * Return the page this event refers to
     */
    public PDFPage getPage() {
        return page;
    }
}
